Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#47888 - [cantata] Build with -DENABLE_LIBVLC=OFF

Attached to Project: Community Packages
Opened by Federico (nierro) - Monday, 25 January 2016, 11:01 GMT
Last edited by Antonio Rojas (arojas) - Sunday, 24 April 2016, 11:04 GMT
Task Type Feature Request
Category Packages
Status Closed
Assigned To Antonio Rojas (arojas)
Architecture All
Severity Very Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 13
Private No

Details

Description:
starting with version 2.0 cantata pulls in vlc as dep. Vlc needs qt4, and it seems quite useless depending on it only because cantata can optionally be built with libvlc instead of qt5-multimedia. Even if libvlc builds are default on linux, i tried to build it with -DENABLE_LIBVLC=OFF, and everything seems to be working fine (streams too).
So, can we have libvlc-less builds?

Additional info:
* cantata 2.0

Thanks!
This task depends upon

Closed by  Antonio Rojas (arojas)
Sunday, 24 April 2016, 11:04 GMT
Reason for closing:  Won't implement
Comment by Antonio Rojas (arojas) - Monday, 25 January 2016, 13:52 GMT
The alternative is qt5-multimedia, which pulls gstreamer instead. Upstream decided to make vlc the default, we'll need a good reason to change that.
Comment by Federico (nierro) - Monday, 25 January 2016, 14:01 GMT
Splitting libvlc from vlc can be a better option perhaps.
By the way, as cantata is built with qt5-enabled, i don't consider having qt5-multimedia as dep as weighty as pulling in an entire new toolkit.
And surely less "stupid" (i'd like to avoid this word, but it is the only i came up with) than pulling in a media player to build a music player.
These are just my 2 cents, obviously.
Comment by Antonio Rojas (arojas) - Monday, 25 January 2016, 14:06 GMT
"Splitting libvlc from vlc can be a better option perhaps."

Agreed, I've reopened  FS#21934 . The VLC maintainer is currently MIA though.
Comment by Sergey Vidyuk (vestnik) - Monday, 25 January 2016, 18:40 GMT
MPD client which requires VLC video player is quite strange. Especially taking into account that it already requires qt5 for GUI and can use qt5-multimedia instead of libvlc.
Comment by Federico (nierro) - Monday, 25 January 2016, 19:38 GMT
@sergey: that was exactly my first thought. As i said, it seems stupid to me that a lightweight mpd graphical client pulls in vlc as dep...
Comment by Mark Smith (ms6676749) - Monday, 29 February 2016, 18:09 GMT
Even though it trivial just to insert this cmake option in cantata's ABS PKGBUILD, I believe that vlc should be moved as an optdepends. Other optdepends include one for dynamic playlist functionality (perl-uri). I mean, Cantata can run fine without MPD HTTP streaming that libvlc provides.
Comment by alex (alext) - Sunday, 24 April 2016, 09:53 GMT
IMO this dep shouldn't even be needed since QMultimedia is now linked to gstreamer 1.8.1 and the bug could be resolved.

From the original git commit: (https://github.com/CDrummond/cantata/issues/493):
"I have created a patch for enabling Cantata to use LibVLC as a streaming
playback backend. Maybe you want to include it.
Why?
- The GStreamer-backend in QMultimedia is linked against GStreamer 0.10, which
has a problem playing http-streams at all (Linux)."

Let's make VLC an optional dependency of cantata, since you can absolutely use it without VLC burden.
Comment by Antonio Rojas (arojas) - Sunday, 24 April 2016, 11:03 GMT
Until  FS#21934  is implemented properly, I've made the qt4 dependency optional in vlc.
Note that upstream made vlc the default for a reason (see https://github.com/CDrummond/cantata/issues/810 ) and I won't override their decision.

Loading...